[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IStreamPersist

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Persistence streaming interface.

## Declaration

Source position: classesh.inc line 1005

`type IStreamPersist = interface`
`procedure LoadFromStream();` |  | Load persistent data from stream.
`procedure SaveToStream();` |  | Save persistent data to stream.
`end;`

## Inheritance

`IStreamPersist` |  | Persistence streaming interface.

## Description

IStreamPersist defines an interface for object persistence streaming to a stream. Any class implementing this interface is expected to be able to save or load it's state from or to a stream.

## See also

TPersistent |  | Base class for streaming system and persistent properties.
TComponent |  | Base class for all components that need owner-owned functionality.
TStream |  | Base class for streams.